Subject: Re: [TEST] The no-kvm CI instances going away

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Feb 2024 10:55:07 -0800

On Wed, 7 Feb 2024 10:45:26 -0700 David Ahern wrote:
> On 2/5/24 6:41 PM, Jakub Kicinski wrote:
> > because cloud computing is expensive I'm shutting down the instances
> > which were running without KVM support. We're left with the KVM-enabled
> > instances only (metal) - one normal and one with debug configs enabled.  
> 
> who is covering the cost of the cloud VMs?

Meta

> Have you considered cheaper alternatives to AWS?

If I'm completely honest it's more a time thing than cost thing.
I have set a budget for the project in internal tooling to 3x
what I expected just the build bot to consume, so it can fit one
large instance without me having to jump thru any hoops.
I will slowly jump thru hoops to get more as time allows,
but I figured the VM instance was a mistake in the first place,
so I can as well just kill it off already. The -dbg runners
are also slow. Or do you see benefit to running without KVM?
Another potential extension is running on ARM.

And yes, it was much cheaper when the builder run in Digital Ocean.

But why do you ask? :) Just to offer cheaper alternatives or do you
happen to have the ability to get a check written to support the
effort? :)